#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <form.h>

void logError(int errnum, const char *fmt, ...)
{
    va_list ap;

    va_start(ap, fmt);
    putcursor(1,1);
    vprintf(fmt, ap);
    if (errnum) printf(": %s", strerror(errnum));

    va_end(ap);
}
