/* @(#)writeterm.c	1.5 06/13/00
Copyright 2002 AOI Industries, Inc. All rights reserved.

License is granted to copy, to use, and to make and to use derivative
works for any purpose, provided that the copyright notice and this
license notice is included in all copies and any derivatives works and
in all  related documentation.  Licensor grants no other licenses expressed 
or implied and the licensee acknowleges that Licensor have no liability for 
licensee's use or for any derivative works made by licensee. 

This software is provided AS IS.

Licensor disclaim and licensee agrees that all warranties, express or
implied, including without limitation the implied warranties of
merchantability and fitness for a particular purpose.  Notwithstanding
any other provision contained herein, any liability for damages
resulting from the software or its use is expressly disclaimed,
including consequential or any other indirect damages, whether arising
in contract, tort (including negligence) or strict liability, even if
Licensor is advised of the possibility of such damages.  
 */
/* Send the termcap string to the standard output, after checking for 
   the padding spec in the string.
 */
#include <string.h>
#include <stdio.h>
#include <ctype.h>
#if defined(__sun__) && defined(__svr4__)
#include <curses.h>
#include <term.h>
#endif

#include "form.h"

#ifdef __linux__
static int writechar(int c) { putchar(c); return c; }
#else
static int writechar(char c) { putchar(c); return c; }
#endif

void
writeterm(str)
   char *str;
{
    tputs(str, 1, writechar);
}
